Fri, 26 Feb 2021 22:49:25 UTC

Information for RPM libblockdev-2.19-7.el8.src.rpm

ID2301
Namelibblockdev
Version2.19
Release7.el8
Epoch
Archsrc
SummaryA library for low-level manipulation with block devices
DescriptionThe libblockdev is a C library with GObject introspection support that can be used for doing low-level operations with block devices like setting up LVM, BTRFS, LUKS or MD RAID. The library uses plugins (LVM, BTRFS,...) and serves as a thin wrapper around its plugins' functionality. All the plugins, however, can be used as standalone libraries. One of the core principles of libblockdev is that it is stateless from the storage configuration's perspective (e.g. it has no information about VGs when creating an LV).
Build Time2019-06-01 02:40:37 GMT
Size893518
a1ee770bb4a770353195861ef1547a4a
LicenseLGPLv2+
Buildrootdist-c8-build-1106-173
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
cryptsetup-devel
device-mapper-devel
glib2-devel
glib2-doc
gobject-introspection-devel
gtk-doc
kmod-devel
libblkid-devel
libbytesize-devel
libmount-devel
libuuid-devel
ndctl-devel
nss-devel
parted-devel
python3-devel
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
systemd-devel
volume_key-devel >= 0.3.9-7
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 4 of 4
Name ascending sort Size
0001-swap-error-codes.patch17264
0002-major-minor-macros.patch2013
libblockdev-2.19.tar.gz806383
libblockdev.spec80984
Component of No Buildroots